Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Phoca Documentation - creating documentation in Joomla! CMS
User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 09 Apr 2014, 15:30

Hi,
I was searching for a solution for the problems I receive whenn I upgrade Joomla! 2.5 to 3.x
In a couple of topics, the answer of Jan is that users have to wait till Joomla! 3.5 is ready.
Cause that should be the LTS.

April 5 2014, the Joomla! team was announcing Joomla! CMS 3.4
http://developer.joomla.org/news/583-an ... s-3-4.html
In that article they write about a new lifecycle for the Joomla! 3-release.
There will not be a LTS in the future.
So, in that case we don't have to wait till 3.5 is available.

Is it possible to create a peace of documentation how to update/migrate Phoca Extensions to Joomla! 3.x ?
At the moment I see white screens after the update.

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 42556
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by Jan » 13 Apr 2014, 19:20

Hi, yes, I will do the guides as soon I will do some upgrade and will know what exactly needs to be done.

EDIT
See migration guide (2.5 to 3):
https://www.phoca.cz/documents/50-phoca/ ... o-joomla-3

Jan
If you find Phoca extensions useful, please support the project

User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 13 Apr 2014, 21:07

OK thanks Jan.
Keep the community and me informed.
I like the new features in the Phoca Extensions for Joomla! 3, so I realy like it to do an update / migration to Joomla! 3 for the sites which are running Joomla! 2.5 now.

User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 09 May 2014, 17:36

I've updated two sites to Joomla! 3.3.0 now.
For everybody who will update Phoca Gallery or Phoca Download, please read these steps:
Don't forgetr to create a fresh backup of your files, folders and database.

This part is for Phoca Gallery:
1. Disable the Phoca-plugins.
2. Start the Joomla!-update to 3.3.0
3. Download the latestextension of the Phoca site for Joomla! 3.x
4. Install these extensions.
5. Now, activate the Phoca-plugins.
6. The update is not finished yet! Please run the SQL-script you can find at this page:
https://www.phoca.cz/documents/17-phoca- ... em-solving
With this script you create some missing tables.
For Phoca Download it is enough to import the part for Styles only.

Phoca Gallery is finished now.
For Phoca Download you have to create two missing columns with this SQL-script:

Code: Select all

ALTER TABLE `#__phocadownload` ADD COLUMN `token` char(64) default NULL;
ALTER TABLE `#__phocadownload` ADD COLUMN `tokenhits` int(11) NOT NULL default 0;
I found the info about these columns at this topic here: viewtopic.php?f=31&t=24434

I hope these steps will help other people when they will update to Joomla! 3.3.0 :|

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 42556
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by Jan » 12 May 2014, 15:10

Hi, thank you very much for the guide.

Jan
If you find Phoca extensions useful, please support the project

christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 26 May 2014, 22:37

Hello,

In the 'past' when updating any phocagallery, there was an ability at first to install the pg, after this you had to scroll down coming up: 'install or update' and finally to klick on the 'update' button (for database reason).
------
So, tried also to update/migrate the phocagallery as mentioned above from User woody4y seems to be OK - till point 5.
Missing an "update button" as in the past (see above).
And of course after this, I got following:
1146 - Table 'mytablename.h25_phocagallery_styles' doesn't exist SQL=SELECT a.filename as filename, a.type as type, a.menulink as menulink FROM h25_phocagallery_styles AS a WHERE a.published = 1 ORDER BY a.type, a.ordering ASC
Then i jumped to point 6 explaining SQL-script. But this belongs to phoca-downloads and not to phoca gallery?

What and how (?) I have to manage these wrong tables in the database?

Thanks for your help,
Christine

Oh sorry, it seems I wrote in the wrong section?

User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 27 May 2014, 09:35

Hi Christine,
Sorry, I didn't mentioned the correct URL for Phoca Gallery.
Both extensions do have a different part of the database.
For Phoca Gallery you have to follow the information at this page:
https://www.phoca.cz/documents/2-phoca-g ... em-solving
I hope, that will help you to fix your update.

christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 27 May 2014, 14:49

Hi woody4you,

Thank you for your link, which I have studied. But I don't exactly understand, which procedure I should take :?
Some information I checked under PHPAdminSQL:
Clicking on: SQL (see picture).
Backup MySQL of J 2.5.20 > 4,95 MB
Now, J 3.3 > 1,75 MB

Your information shows e.g.: "Make sure that you delete #_ at the start of the line; you only need one _ {underscore}. "
But there is no: #_. It starts correctly with: h25_phocagallery etc. (12 tables) ... ... containing id/catid/sid/title etc. after the column, starting with params, extlink1, extlink2 etc.: NULL

Until I can't solve this problem, I can't migrate on the live site.
Sorry for inconvenience,
Christine

Hmm, not possible to add the picture.
I mean this:
1 SELECT * FROM `h25_phocagallery' WHERE 1
SELECT* SELECT INSERT etc.
Do I have to do with it?

User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 27 May 2014, 15:03

The #__ is in the SQL-script.
You have to change that in the script. Change #__ with the prefix of the tables in your database.

christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 27 May 2014, 15:11

Aha, OK. I will check, whether or not I will find this SQL script to correct accordingly.
Will come back ..... thank you for help,

Christine

Post Reply